pcl::visualization::ImageViewer::ExitMainLoopTimerCallback Struct Reference

`#include <pcl/visualization/image_viewer.h>`

Inheritance diagram for pcl::visualization::ImageViewer::ExitMainLoopTimerCallback:

## Public Member Functions

| ExitMainLoopTimerCallback ()
virtual void | Execute (vtkObject *vtkNotUsed(caller), unsigned long event_id, void *call_data)

## Static Public Member Functions

static ExitMainLoopTimerCallback * | New ()

## Public Attributes

int | right_timer_id
ImageViewer * | window

## Detailed Description

Definition at line 923 of file image_viewer.h.

## Constructor & Destructor Documentation

pcl::visualization::ImageViewer::ExitMainLoopTimerCallback::ExitMainLoopTimerCallback | ( |  | ) |

inline

Definition at line 925 of file image_viewer.h.

## Member Function Documentation

virtual void pcl::visualization::ImageViewer::ExitMainLoopTimerCallback::Execute | ( | vtkObject * | vtkNotUsedcaller,
|  | unsigned long | event_id,
|  | void * | call_data
| ) |  |

inline virtual

Definition at line 932 of file image_viewer.h.

static ExitMainLoopTimerCallback* pcl::visualization::ImageViewer::ExitMainLoopTimerCallback::New | ( |  | ) |

inline static

Definition at line 927 of file image_viewer.h.

## Member Data Documentation

int pcl::visualization::ImageViewer::ExitMainLoopTimerCallback::right_timer_id

Definition at line 945 of file image_viewer.h.

ImageViewer* pcl::visualization::ImageViewer::ExitMainLoopTimerCallback::window

Definition at line 946 of file image_viewer.h.

The documentation for this struct was generated from the following file:

- /build/pcl-0nnAvv/pcl-1.7.2/visualization/include/pcl/visualization/image_viewer.h